Function ULP(x)
real(16) x, ulp
! Computes ULP(x) for a real(16) x: 
! ULP(x) =the smallest number that added to x, rounds to a number >x.
! exponent(x): exponentul lui x in modelul de reprezentare (sttintific).

ULP =2.Q0**(exponent(x) -113)
END
